Basilisk
API referenceReference

Query

POST
/v1/query

Authorization

AuthorizationBearer <token>

prefix.dev resource access token with the configured Basilisk audience. Pixi audit also accepts Basilisk user API tokens via bearerAuth, but never browser sessions.

In: header

Request Body

application/json

An OSV package query. Prefer the CEP 63 conda PURL form.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/query" \  -H "Content-Type: application/json" \  -d '{    "package": {      "purl": "pkg:conda/conda-forge/pillow@10.2.0"    }  }'
{  "vulns": [    null  ]}